myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zdenek Sochor (JIRA)" <...@myfaces.apache.org>
Subject [jira] Created: (TOMAHAWK-1185) Build failure when using JDK 1.4
Date Wed, 30 Jan 2008 16:42:34 GMT
Build failure when using JDK 1.4
--------------------------------

                 Key: TOMAHAWK-1185
                 URL: https://issues.apache.org/jira/browse/TOMAHAWK-1185
             Project: MyFaces Tomahawk
          Issue Type: Bug
    Affects Versions: 1.1.7-SNAPSHOT
         Environment: Maven 2.0.7, JDK 1.4.2, Win XP
            Reporter: Zdenek Sochor


Tomahawk's build with JDK 1.4 fails for several reasons:
1.  transient dependancy tiles-api (through tiles-core) switches version from 2.0.5 (latest)
to 2.4.1 - dependancy in tiles-core's pom:
    <dependency>
      <groupId>org.apache.tiles</groupId>
      <artifactId>tiles-api</artifactId>
      <version>${pom.version}</version>
    </dependency>
  this may be bug in Maven 2.0.7
2. libraries tiles-core-2.0.5 and tiles-api-2.0.5 are Java 5.0 version (class version 49.0)
  for correct build with JDK 1.4 libraries marked -j4 are needed.

Note that the same build with Java 5.0 is fine (no error).


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message